Subject: [bug#74306] [PATCH gnome-team 00/44] gstreamer, GTK, fontmanager updates

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 22 Nov 2024 10:36:04 +0100

Hi Maxim,

I've cleaned up and pushed the patches that I could verify to build.

Am Montag, dem 11.11.2024 um 14:50 +0900 schrieb Maxim Cournoyer:
> […]
>   gnu: gnome-vfs: Remove trailing #t.
Reworded slightly.

>   gnu: gstreamer: Update to 1.24.8.
>   gnu: gst-plugins-base: Update to 1.24.8.
>   gnu: gst-plugins-good: Update to 1.24.8.
>   gnu: gst-plugins-bad: Update to 1.24.8.
>   gnu: gst-plugins-ugly: Update to 1.24.8.
>   gnu: gst-libav: Update to 1.24.8.
>   gnu: gst-editing-services: Update to 1.24.8.
>   gnu: python-gst: Update to 1.24.8.
>   gnu: gst-plugins-espeak: Update to 0.6.0.
>   gnu: gstreamer-docs: Update to 1.24.9.
>   gnu: gstreamer: Update to 1.24.9.
>   gnu: gst-plugins-base: Update to 1.24.9.
>   gnu: gst-plugins-good: Update to 1.24.9.
>   gnu: gst-plugins-bad: Update to 1.24.9.
>   gnu: gst-plugins-ugly: Update to 1.24.9.
>   gnu: gst-libav: Update to 1.24.9.
>   gnu: gst-editing-services: Update to 1.24.9.
>   gnu: python-gst: Update to 1.24.9.
I've merged this block of GStreamer updates to do one version per
package and fixed the missing introspection for gst-editing-services.

>   build/meson: Enable parallel tests by default.
>   gnu: meson: Update to 1.5.2.
Skipped for now to rebuild less.  Let's wait until this hits master or
at least until we got everything that needs webkit updated once.

>   gnu: glib: Fix build.
>   gnu: glib-minimal: Fix deprecation warning.
Pushed as-is.

>   gnu: libmbim: Update to 1.30.0.
>   gnu: Add libqrtr-glib.
>   gnu: libqmi: Update to 1.34.0.
Already on master.

>   gnu: gi-docgen: Update to 2024.1.
Pushed as-is.

>   gnu: glib-minimal: Update to 2.83.0.
Skipped; we should use latest 2.82 instead.

>   gnu: glib-networking: Update to 2.80.0.
>   gnu: libsoup-minimal: Disable test suite.
This leads to more failures down the line, such as uhttpmock.  I think
we should patch glib-networking to use *something* for testing.  As far
as I've researched, GLib should have a method
`g_tls_backend_set_default_database`, which we might want to call to
set up our certificates; at least for testing purposes.

>   gnu: modem-manager: Update to 1.22.0.
Already on master.

>   gnu: libquicktime: Remove ffmpeg-4 and gtk+-2 inputs.
>   gnu: mjpegtools: Remove gtk+-2 input.
>   gnu: libdbusmenu: Remove gtk+-2 input.
>   gnu: libnice: Update to 0.1.22.
Pushed as-is.

>   gnu: gtk: Update to 4.17.0.
Skipped; we should use latest 4.16 instead.

>   gnu: fontmanager: Update to 0.9.0.
>   gnu: fontmanager: Use gexps and drop input labels.
Requires webkitgtk, so not tested yet.

>   gnu: libvisual: Update to 0.4.2.
>   gnu: libvisual-plugins: Update to 0.4.2.
>   gnu: orc: Update to 0.4.40.
Pushed as-is.

>   gnu: dee: Use latest vala.
Still not sure what to think here.  Note that we do need to bootstrap
vala at some point, but I haven't gotten around to doing that yet.

>   gnu: gvfs: Patch mount, umount and lsof commands.
>   gnu: nautilus: Update to 46.1.
Requires webkitgtk, so not tested yet.

Feel free to close or submit a v2 with the missing changes.

Cheers